Bug 1121839 - Can't save more translations - Save FAILED
Summary: Can't save more translations - Save FAILED
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.4
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Damian Jansen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 03:59 UTC by Marcelo Barbosa "firemanxbr"
Modified: 2015-07-29 03:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 03:31:49 UTC


Attachments (Terms of Use)
bug_zanata2 (188.42 KB, image/png)
2014-07-22 03:59 UTC, Marcelo Barbosa "firemanxbr"
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1235082 None None None Never

Internal Links: 1235082

Description Marcelo Barbosa "firemanxbr" 2014-07-22 03:59:45 UTC
Created attachment 919796 [details]
bug_zanata2

Description of problem:
I can't save more translations in same project and same language. Erro:

"Save FAILED: id 2083831, messages: translation failed for textflow 2083831: base versionNum + 0 does not match current versionNum 1"

Version-Release number of selected component (if applicable):
https://translate.zanata.org/
Zanata 3.4.2 (git-server-3.4.2-dirty) 

How reproducible:
Translating in interface, url: [1], selected:

1. Incomplete >
2. Fuzzy
3. Review and save, the error occurs:

"Save FAILED: id 2083831, messages: translation failed for textflow 2083831: base versionNum + 0 does not match current versionNum 1"

[1]: https://translate.zanata.org/zanata/webtrans/translate?project=zanata-server&iteration=master&localeId=pt-BR&locale=en#view:doc;doc:zanata-war/src/main/resources/messages;fuzzy:show

Additional info:

attached screenshot

Comment 1 David Mason 2014-07-23 01:42:35 UTC
This error happens when the normal conflict resolution mechanism in the editor has not worked. Normally, when another translator saves a translation in the same language for the string you are working on, you are shown a popup asking whether to just keep their translation or keep working on your one.

The likely cause here is a slow or dropped connection to Zanata's event service, so that the editor does not get a message about the other translation being saved.


An easy change is to improve the error message so that it is clear to users what has happened.

If the editor can be made to detect broken connections, this can be avoided by prompting translators to refresh the browser to re-establish the connection, or have the editor attempt to re-establish the connection before save operations.

Ultimately, if a user saves a translation before their editor has heard about a concurrent translation being saved, the user should be prompted to resolve the conflict the same as when the editor hears about a concurrent translation. This may require the editor to fetch the latest translation after it receives this error.

Comment 2 Marcelo Barbosa "firemanxbr" 2014-07-23 16:14:52 UTC
David,

   I believe that improving this message would be interesting for the user to understand what occurs and prevent identify as a problem, I would rate this as the first step, after this we could think of a way to allow users to the resolution of this conflict.

Thanks,

firemanxbr

Comment 3 David Mason 2014-08-27 02:06:19 UTC
To reproduce:

1. Open an editor for any document in any project.
2. Enter some text, then save as fuzzy (Ctrl+S).
3. Repeat 2 as fast as possible until an error is shown.

Comment 4 Zanata Migrator 2015-07-29 03:31:49 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-310


Note You need to log in before you can comment on or make changes to this bug.